@charset "utf-8";


/* main */

main {
  padding-top: 89px;
}

/* banner */

.banner {
  position: relative;
  width: 100%;
  height: 700px;
  overflow: hidden;
  background:
    linear-gradient(rgba(0, 0, 0, 0.1)),
    url('../../images/index/unamjeong-baeksuk.webp') center/cover no-repeat;
}


.banner::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.3);

}

/* 텍스트 영역 */

.banner-content {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 1;
}

/* 텍스트 */

.banner .sub-title {
  font-size: 26px;
  margin-bottom: 10px;
  color: #eee;
  text-shadow: 3px 4px 3px rgba(0, 0, 0, 0.5);
}

.banner .main-title {
  font: normal 80px "Shilla";
  margin-bottom: 20px;
  color: #fff;
  text-shadow: 4px 5px 4px rgba(0, 0, 0, 0.5);

}

/* 버튼 */

.banner .btn {
  display: inline-block;
  padding: 20px 50px;
  background: #2f5d3a;
  color: #fff;
  border-radius: 30px;
  font-size: 26px;
  transition: 0.3s;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);

}

.banner .btn:hover {
  background: #3c6b48;
  transform: translateY(-3px);
  box-shadow: 0 8px 18px rgba(0, 0, 0, 0.4);
}

.banner .btn:active {
  transform: translateY(0);
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.3);
}


/* 배너 애니메이션 */

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.banner .sub-title {
  animation: fadeUp 0.8s ease forwards;
  opacity: 0;
}

.banner .main-title {
  animation: fadeUp 0.8s ease forwards;
  animation-delay: 0.3s;
  opacity: 0;
}

.banner .btn {
  animation: fadeUp 0.8s ease forwards;
  animation-delay: 0.6s;
  opacity: 0;
}





/* section-title 공통 */

.section-title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin: 50px 0;
}

.section-title::before,
.section-title::after {
  content: "";
  width: 280px;
  height: 1.5px;
  background: #ccc;
}

.section-title span {
  font-size: 40px;
  white-space: nowrap;
}




/* menu */

.menu-list {
  display: flex;
  justify-content: center;
  gap: 30px;
}

.menu-card {
  height: 450px;
  text-align: center;
  box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.5);
  transition: 0.6s;
  background-color: rgba(250, 250, 250, 0.5);
}

.menu-card img {
  width: 100%;
}

.menu-card:hover {
  transform: translateY(-5px)
}

.menu-card h3 {
  line-height: 60px;
  position: relative;
  padding-bottom: 10px;
  margin-bottom: 10px;
  font-size: 30px;
}

.menu-card h3::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 5%;
  transform: translateX(-50%);
  width: 230px;
  height: 1px;
  background: #bbb;
}

.menu-card p {
  font-size: 20px;
}


/* swiper */


.swiper {
  width: 100%;
  height: 350px;
  margin: 20px auto;
}

.swiper-slide {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 300px;
  opacity: 0.5;
  transform: scale(0.9);
  transition: 0.8s;
}

.swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.swiper-slide-active {
  opacity: 1;
  transform: scale(1.1);
  z-index: 2;
}

.swiper-slide-active img {
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.5);
}

.swiper-button-next,
.swiper-button-prev {
  color: #fafafa !important
}


/* 오시는길 */

.info {
  max-width: 1440px;
  margin: 50px auto;
  border-radius: 10px;
  background-color: rgba(255, 255, 255, 0.85);
  box-shadow: 2px 3px 5px rgba(0, 0, 0, 0.4);
}

.info-wrap {
  display: flex;
}

.map {
  position: relative;
}

.info-text {
  padding: 30px 100px;
}

.info-text h2 {
  font-size: 40px;
  line-height: 2.5em;
}

.info-text p {
  font-size: 24px;
  line-height: 2.3em;
}

.info-list {
  display: flex;
  align-items: center;
  gap: 50px;
  margin-top: 20px;
}

.info-list li {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 22px;
}

/* 버튼 */
.map-btn {
  position: absolute;
  bottom: 20px;
  right: 20px;

  background: #2f5d3a;
  color: #fff;
  padding: 13px 20px;
  border-radius: 25px;

  font-size: 16px;
  transition: 0.5s;
}

.map-btn:hover {
  background: #3c6b48;
  transform: translateY(-3px);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
}